Bug 440188 - Dangling use of /etc/sysconfig/kerneloops
Dangling use of /etc/sysconfig/kerneloops
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kerneloops (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-02 01:58 EDT by Valdis Kletnieks
Modified: 2011-12-13 17:28 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-02 03:10:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Valdis Kletnieks 2008-04-02 01:58:33 EDT
Description of problem:
/etc/init.d/kerneloops does a '. /etc/sysconfig/$prog' to source a sysconfig
file, but doesn't actually *do* anything with it.  This would be particularly
useful in conjunction with a fix for bug #440187, as then I could stick a line

OPTS="-f /my/path/here"

in /etc/sysconfig/kerneloops and everything would work nicely.

Version-Release number of selected component (if applicable):
kerneloops-0.10-11.fc9.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Here's a trivial patch to do what's needed:

--- /etc/init.d/kerneloops.dist 2008-03-28 16:19:57.000000000 -0400
+++ /etc/init.d/kerneloops      2008-04-02 01:55:01.000000000 -0400
@@ -34,7 +34,7 @@
 
 start() {
        echo -n $"Starting $prog:"
-       daemon $prog 
+       daemon $prog $OPTS
        retval=$?
        echo
        [ $retval -eq 0 ] && touch $lockfile
Comment 1 Chuck Ebbert 2008-04-02 03:10:50 EDT
No need to copy the the package maintainer.

Added the patch in 0.10-12

Note You need to log in before you can comment on or make changes to this bug.